API ReferenceWorkflows
List workflow executions
GET
/v1/workflows/{workflowId}/executionsAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Path Parameters
workflowId*string
Workflow ID
Query Parameters
cursor?string
Pagination cursor for next page
limit?integer
Maximum number of items to return
Default
20Range
1 <= value <= 100status?string
Value in
"running" | "completed" | "failed"Response Body
application/json
application/json
application/json
curl -X GET "https://api.npayload.com/v1/workflows/string/executions"{
"data": [
{
"id": "string",
"workflowId": "string",
"status": "running",
"input": {},
"output": {},
"startedAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z",
"steps": [
{
"stepId": "string",
"status": "string",
"result": {},
"error": "string"
}
]
}
],
"pagination": {
"cursor": "string",
"hasMore": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Was this page helpful?